For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • POSTOutbound call via twilio
      • POSTRegister call
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsTwilio

Outbound call via twilio

POST
/v1/convai/twilio/outbound-call
POST
/v1/convai/twilio/outbound-call
$curl -X POST https://api.elevenlabs.io/v1/convai/twilio/outbound-call \
> -H "Content-Type: application/json" \
> -d '{
> "agent_id": "string",
> "agent_phone_number_id": "string",
> "to_number": "string"
>}'
1{
2 "success": true,
3 "message": "string",
4 "conversation_id": "string",
5 "callSid": "string"
6}
Handle an outbound call via Twilio
Was this page helpful?
Previous

Register call

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
agent_idstringRequired
agent_phone_number_idstringRequired
to_numberstringRequired
conversation_initiation_client_dataobject or nullOptional
call_recording_enabledboolean or nullOptional
Whether let Twilio record the call.
telephony_call_configobjectOptional

Response

Successful Response
successboolean
messagestring
conversation_idstring or null
callSidstring or null

Errors

422
Unprocessable Entity Error